// fancyprint.cpp
// Glenn G. Chappell
// 17 Sep 2013
//
// For CS 202 Fall 2013
// Source for class FancyPrint
// Class with a private member function

#include "fancyprint.h"  // For class FancyPrint definition

#include <iostream>
using std::ostream;
using std::endl;
#include <cstdlib>
using std::size_t;


// class FancyPrint - definitions of member functions


// stars
// Given an ostream and a number, prints that many asterisks to the
//  stream. No newline is printed.
void FancyPrint::stars(ostream & out, size_t num) const
{
    for (size_t i = 0; i < num; ++i)
        out << "*";
}


// print
// Output message to the given stream, in "fancy" form, as described
//  in the header file. The stream defaults to cout.
void FancyPrint::print(ostream & out) const
{
    stars(out, 2*_len+2+_msg.size());
    out << endl;
    stars(out, _len);
    out << " " << _msg << " ";
    stars(out, _len);
    out << endl;
    stars(out, 2*_len+2+_msg.size());
    out << endl;
}

